﻿namespace wpf_ChartView_694619.ViewModels
{
    using System.Collections.ObjectModel;
    using wpf_ChartView_694619.Models;

    public class MainViewModel
    {
        public ObservableCollection<PieItem> PieItems { get; set; }

        public MainViewModel()
        {
            this.PieItems = new ObservableCollection<PieItem>();
            this.PopulateData();
        }

        private void PopulateData()
        {
            this.PieItems.Add(new PieItem()
            {
                Category = "GYN",
                Percent = 5.21
            });

            this.PieItems.Add(new PieItem()
            {
                Category = "Abdomen",
                Percent = 25.87
            });

            this.PieItems.Add(new PieItem()
            {
                Category = "None",
                Percent = 65.30
            });

            this.PieItems.Add(new PieItem()
            {
                Category = "Obsteric",
                Percent = 8.62
            });
        }
    }
}
